{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load widget_tweaks %}
{% load humanize %}

{% block title %}Llamadas del Servicio {{ service.number }}{% endblock %}

{% block page %}
  <!-- begin breadcrumb -->
  <ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-detail' pk=customer.pk %}">{{ customer.rut }}</a></li>
    <li class="breadcrumb-item"><a href="{% url 'service-list' customer_pk=customer.pk %}">Servicios Contratados</a></li>
    <li class="breadcrumb-item"><a href="{% url 'service-detail' slug=service.pk %}">#{{ service.number }}</a></li>
    <li class="breadcrumb-item active">Registro de Llamadas</li>
  </ol>
  <!-- end breadcrumb -->

  <!-- begin page-header -->
  <h1 class="page-header">#{{ service.number }} - {{ customer.name }}</h1>
  <!-- end page-header -->

  <ul class="nav nav-pills mb-2">
    <li class="nav-item">
      <a href="{% url 'service-detail' slug=service.pk %}"class="nav-link">
        <span class="d-sm-none">General</span>
        <span class="d-sm-block d-none">General</span>
      </a>
    </li>
    <li class="nav-item">
      <a href="{% url 'service-network-detail' slug=service.slug %}" class="nav-link">
        <span class="d-sm-none">Red</span>
        <span class="d-sm-block d-none">Red</span>
      </a>
    </li>
    <!--
    <li class="nav-item">
      <a href="#" class="nav-link active">
        <span class="d-sm-none">Registro de Llamadas</span>
        <span class="d-sm-block d-none">Registro de Llamadas</span>
      </a>
    </li>
    -->
    <li class="nav-item {% add_active request 'service-gallery' %}">
      <a href="{% url 'service-gallery' slug=service.slug %}" class="nav-link">
        <span class="d-sm-none">Galería</span>
        <span class="d-sm-block d-none">Galería</span>
      </a>
    </li>
    <li class="nav-item {% add_active request 'service-documents' %}">
      <a href="{% url 'service-documents' slug=service.slug %}" class="nav-link">
        <span class="d-sm-none">Documentos</span>
        <span class="d-sm-block d-none">Documentos</span>
      </a>
    </li>
    <li class="nav-item {% add_active request 'service-extras' %}">
      <a href="{% url 'service-extras' slug=service.slug %}" class="nav-link">
        <span class="d-sm-none">Prefacturación</span>
        <span class="d-sm-block d-none">Prefacturación</span>
      </a>
    </li>
    <li class="nav-item {% add_active request 'service-promotions' %}">
      <a href="{% url 'service-promotions' service.slug %}" class="nav-link">
          <span class="d-sm-none">Promociones</span>
          <span class="d-sm-block d-none">Promociones</span>
      </a>
  </li> 
    <li class="nav-item {% add_active request 'service-plan-orders' %}">
      <a href="{% url 'service-plan-orders' slug=service.slug %}" class="nav-link">
        <span class="d-sm-none">Orden de Servicio</span>
        <span class="d-sm-block d-none">Orden de Servicio</span>
      </a>
    </li>
    <li class="nav-item {% add_active request 'service-billing' %}">
        <a href="{% url 'service-billing' service.slug %}" class="nav-link">
          <span class="d-sm-none">Estado de Cuenta servicio</span>
          <span class="d-sm-block d-none">Estado de Cuenta servicio</span>
        </a>
      </li> 
    <li class="nav-item {% add_active request 'invoice-list' %}">
      <a href="{% url 'invoice-list' service.customer.pk %}" class="nav-link">
        <span class="d-sm-none">Estado de Cuenta cliente</span>
        <span class="d-sm-block d-none">Estado de Cuenta cliente</span>
      </a>
    </li>     
  </ul>

<!-- begin row -->
<div class="row">
  <!-- begin col-12 -->
  <div class="col-xl-12 ui-sortable">
    <!-- begin panel -->
    <div class="panel panel-inverse" data-sortable-id="ui-general-1">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <h4 class="panel-title">Registro de Llamadas</h4>
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
        </div>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        <div class="row mb-3">
          <div class="col-sm-12 col-md-12">
            {% if perms.customers.add_call %}
              <a class="btn btn-success btn-sm pull-right ml-1" href="{% url 'call-create' %}?number={{ object.pk }}">Registrar llamada</a>
            {% endif %}
          </div>
        </div>
        

        {% if object.call_set.all.count %}
          <table id="gear-list" class="table table-striped">
            <thead>
              <tr>
                <th>ID</th>
                <th>Atendido por</th>
                <th>Departamento</th>
                <th>Motivo</th>
                <th>Fecha de ingreso</th>
                <th>Observaciones</th>
              </tr>
            </thead>
            <tbody>
              {% for call in object.call_set.all %}
                <tr>
                  <td><a href="{% url 'call-detail' call.pk %}">{{ call.pk }}</a> {% if call.recording %}<i class="ti-headphone-alt"></i>{% endif %}</td>
                  <td>{{ call.answered_by }}</td>
                  <td>{{ call.department }}</td>
                  <td>{{ call.get_subject_display }}</td>
                  <td><span title="{{ call.created_at|naturaltime }}"><i class="ti-time"> </i> {{ call.created_at }}</span></td>
                  <td>{{ call.notes }}</td>
                </tr>
              {% endfor %}
            </tbody>
          </table>
        {% else %}
          <p class="text-center">No hay llamadas registradas para este {% trans 'service' %}.</p>
        {% endif %}


      </div>
      <!-- end panel-body -->
    </div>
  </div>
</div>

{% endblock %}
